Skip to content
Start here

List tokens.

client.aiSearch.tokens.list(TokenListParams { account_id, page, per_page, search } params?, RequestOptionsoptions?): V4PagePaginationArray<TokenListResponse { id, cf_api_id, created_at, 6 more } >
GET/accounts/{account_id}/ai-search/tokens

List tokens.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
params: TokenListParams { account_id, page, per_page, search }
account_id?: string

Path param

page?: number

Query param: Page number (1-indexed).

maximum100
minimum1
per_page?: number

Query param: Number of results per page.

maximum100
minimum1
ReturnsExpand Collapse
TokenListResponse { id, cf_api_id, created_at, 6 more }
id: string
formatuuid
cf_api_id: string
created_at: string
formatdate-time
modified_at: string
formatdate-time
name: string
created_by?: string | null
enabled?: boolean
legacy?: boolean
modified_by?: string | null

List tokens.

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

// Automatically fetches more pages as needed.
for await (const tokenListResponse of client.aiSearch.tokens.list({
  account_id: 'c3dc5f0b34a14ff8e1b3ec04895e1b22',
})) {
  console.log(tokenListResponse.id);
}
{
  "result": [
    {
      "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "cf_api_id": "cf_api_id",
      "created_at": "2019-12-27T18:11:19.117Z",
      "modified_at": "2019-12-27T18:11:19.117Z",
      "name": "name",
      "created_by": "created_by",
      "enabled": true,
      "legacy": true,
      "modified_by": "modified_by"
    }
  ],
  "result_info": {
    "count": 0,
    "page": 0,
    "per_page": 0,
    "total_count": 0
  },
  "success": true
}
Returns Examples
{
  "result": [
    {
      "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "cf_api_id": "cf_api_id",
      "created_at": "2019-12-27T18:11:19.117Z",
      "modified_at": "2019-12-27T18:11:19.117Z",
      "name": "name",
      "created_by": "created_by",
      "enabled": true,
      "legacy": true,
      "modified_by": "modified_by"
    }
  ],
  "result_info": {
    "count": 0,
    "page": 0,
    "per_page": 0,
    "total_count": 0
  },
  "success": true
}